Name:           libhttpserver
Version:        0.7.0
Release:        3%{dist}
Summary:        Library embedding RESTful HTTP server functionality
Group:          Development/Libraries
License:        LGPLv2 
URL:            https://github.com/etr/libhttpserver
Source0:        https://github.com/etr/%{name}/archive/v%{version}.tar.gz
BuildRequires:  libmicrohttpd-devel >= 0.9.7
BuildRequires:  autoconf, automake, libtool
Requires:       libmicrohttpd >= 0.9.7

%description
libhttpserver is a small C++ library for embedding RESTful HTTP server
functionality into applications.

%package        devel
Summary:        Development files for %{name}
BuildRequires:  libmicrohttpd-devel >= 0.9.7
Group:          Development/Libraries
Requires:       libmicrohttpd >= 0.9.7
Requires:       libmicrohttpd-devel%{?_isa} >= 0.9.7
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
libhttpserver is a small C++ library for embedding RESTful HTTP server
functionality into applications. This package contains development files
and headers.

%prep
%setup -q

%build
autoreconf -fiv
mkdir build
cd build
ln -s ../configure configure
%configure --srcdir=.. --prefix=/usr --libdir=%{_libdir}
make %{?_smp_mflags}

%install
cd build
make install INSTALL='install -p' DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '*.*a' -delete -print

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{_libdir}/lib*.so.*

%files devel
%{_includedir}/httpserver*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libhttpserver.pc

%changelog
* Mon Feb 24 2014 Šimon Lukašík <slukasik@redhat.com> - 0.7.0-3
- removed leading new line character
- added libmicrohttpd-devel to BuildRequires of base package
- removed libmicrohttpd from BuildRequires
- added arch specification to the Requires of libmicrohttpd-devel
- moved autoreconf to the build section
- use configure macro
- symlink configure script to allow build out of the source tree
- introduced parallel build
- removed static libraries from installation target
- removed clean section
- removed defattr specification

* Mon Feb 17 2014 Šimon Lukašík <slukasik@redhat.com> - 0.7.0-2
- added autotools build requires
- removed the vendor tag
- added the dist tag to the release

* Thu Feb 13 2014 Šimon Lukašík <slukasik@redhat.com> - 0.7.0-1
- First build for Fedora

